use crate::schema::IDMap;

#[derive(Clone, microrm_macros::Entity)]
pub struct Meta {
    /// Metadata key-value key
    #[key]
    pub key: String,
    /// Metadata key-value value
    pub value: String,
}

#[derive(microrm_macros::Database)]
pub struct MetadataDB {
    pub metastore: IDMap<Meta>,
}
