#![allow(unused)]

use microrm::prelude::*;
use test_log::test;

#[derive(Entity)]
struct Select {
    delete: String,
}

#[derive(Entity)]
struct Group {
    by: microrm::RelationMap<Select>,
}

#[derive(Database)]
struct ReservedWordDB {
    group: microrm::IDMap<Group>,
}

#[test]
fn open_test() {
    ReservedWordDB::open_path(":memory:");
}
