use microrm::prelude::*;

pub fn open_test_db<DB: Database>(identifier: &'static str) -> DB {
    let path = format!(
        "{tmpdir}/microrm-test-{identifier}.db",
        tmpdir = std::env!("CARGO_TARGET_TMPDIR")
    );
    let _ = std::fs::remove_file(path.as_str());
    DB::open_path(path).expect("couldn't open database file")
}
